# cnd_destroy

From cppreference.com
< c‎ | thread

Defined in header `<threads.h>` |  |
void cnd_destroy( cnd_t * cond ); |  | (since C11)

Destroys the condition variable pointed to by `cond`.

If there are threads waiting on `cond`, the behavior is undefined.

### Parameters

cond | - | pointer to the condition variable to destroy

### Return value

(none)

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.26.3.2 The cnd_destroy function (p: 378-379)

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/thread/cnd_destroy&oldid=97800"